qtbase-opensource-src (5.15.18+dfsg-1ubuntu1) resolute; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 09 Jan 2026 14:01:51 +0300

qtbase-opensource-src (5.15.18+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2024-39936.diff
    - a11y_null_checks.diff
    - containsTLDEntry.diff
  * Refresh mime_globs.diff.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-18.
  * Update debian/watch to version 5.
  * Bump Standards-Version to 4.7.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2025 22:27:48 +0300

qtbase-opensource-src (5.15.17+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to stop calling QXcbVirtualDesktop::dpi()
    function from QXcbScreen::logicalDpi() (closes: #1107294).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 31 Dec 2025 13:28:57 +0300

qtbase-opensource-src (5.15.17+dfsg-5) unstable; urgency=medium

  * Drop armv4.diff. No longer needed, as armel was removed.
  * Backport two upstream patches to fix data races in QReadWriteLock
    (closes: #1122641).
  * Update symbols files from the logs of buildds.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Dec 2025 00:32:45 +0300

qtbase-opensource-src (5.15.17+dfsg-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Do not use the firebird-database on m68k and x32.

 -- Pino Toscano <pino@debian.org>  Mon, 29 Sep 2025 13:04:46 +0200

qtbase-opensource-src (5.15.17+dfsg-3) unstable; urgency=medium

  * Update symbols files for GCC 15 and IEEE long double on ppc64el.
  * Drop obsolete Breaks and Replaces.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Sep 2025 22:30:59 +0300

qtbase-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Merge 5.15.15+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5t64.symbols for sh4.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 22:45:42 +0300

qtbase-opensource-src (5.15.17+dfsg-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Dec 2025 13:01:23 +0100

qtbase-opensource-src (5.15.17+dfsg-1ubuntu1) questing; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.
    - Disable _Z5qHashgj symbol on ppc64el.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 11 Jul 2025 16:12:23 +0300

qtbase-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Merge 5.15.15+dfsg-5 upload from unstable.
  * Drop patches, included in the new release:
    - CVE-2023-51714.diff
    - CVE-2024-25580.diff
    - gcc_14.diff
  * Refresh CVE-2024-39936.diff.
  * Bump ABI version to qtbase-abi-5-15-17.
  * Update debian/copyright.
  * Remove logic for Perl shebang rewriting, dh_perl now does that.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 May 2025 22:32:13 +0300

qtbase-opensource-src (5.15.16+dfsg-2) experimental; urgency=medium

  * Merge changes from 5.15.15+dfsg-3.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:46:08 +0100

qtbase-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop libxkbcommon_1.6.0.diff, included in the new release.
  * Update symbols files from buildds’ and current build logs.
    - Qt_5.x symbols are now defined only in libqt5core5t64.
  * Bump ABI version to qtbase-abi-5-15-16.
  * Exclude non-free util/update_public_suffix_list.sh from the tarball.
  * Update debian/copyright.
  * Remove unused package-name-doesnt-match-sonames Lintian overrides.
    - Lintian >= 2.117.1 does not complain about t64 package names.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Jan 2025 22:26:02 +0300

qtbase-opensource-src (5.15.15+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to fix assertion errors in data: URL parsing
    (CVE-2025-5455, closes: #1108475).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 29 Jun 2025 22:50:45 +0300

qtbase-opensource-src (5.15.15+dfsg-5ubuntu1) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.
    - Update symbols on ppc64el.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 14:10:51 +0100

qtbase-opensource-src (5.15.15+dfsg-5) unstable; urgency=medium

  * Backport upstream patch to add null checks in table iface methods in
    linuxaccessibility/atspiadaptor.cpp (closes: #1081682).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Mar 2025 15:42:48 +0300

qtbase-opensource-src (5.15.15+dfsg-4ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.
  * Merge fixes (LP: #2098556) 

 -- Rik Mills <rikmills@kde.org>  Sat, 15 Feb 2025 14:00:03 +0000

qtbase-opensource-src (5.15.15+dfsg-4) unstable; urgency=medium

  * Fix containsTLDEntry() crash when tldChunkCount >= 3 (closes: #1095423).
    - Thanks to Timo Röhling for help with debugging this!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Feb 2025 19:24:33 +0300

qtbase-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Enable the Vulkan support on all the architectures (i.e. not only on
    Linux), as vulkan-loader is portable, and now available also on non-Linux
    architectures in Debian:
    - remove the linux-any limitation for the libvulkan-dev build and runtime
      dependency
    - remove the linux-any limitation for the vulkan-related symbols in
      libqt5gui5t64.symbols
    - remove the linux-any limitation for the vulkan-related files in install
      files

 -- Pino Toscano <pino@debian.org>  Fri, 07 Feb 2025 07:20:36 +0100

qtbase-opensource-src (5.15.15+dfsg-1ubuntu2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 08:36:52 +0100

qtbase-opensource-src (5.15.15+dfsg-1ubuntu1) oracular; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 09 Sep 2024 19:15:29 +0300

qtbase-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:40:08 +0300

qtbase-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * Merge 5.15.13+dfsg-4 upload from unstable.
  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32763.diff
    - CVE-2023-34410.diff
    - CVE-2023-37369.diff
    - CVE-2023-38197.diff
  * Bump API version to qtbase-abi-5-15-15.
  * Update debian/copyright.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 30 Aug 2024 22:07:11 +0300

qtbase-opensource-src (5.15.14+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - CVE-2023-32762.diff
    - CVE-2023-33285.diff
    - sql_odbc_fix_unicode_check.diff
  * Rebase sql_odbc_more_unicode_checks.diff.
  * Populate ${libssl:Depends} properly for libqt5network5t64.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-14.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 May 2024 17:32:51 +0300

qtbase-opensource-src (5.15.13+dfsg-4ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 26 Jul 2024 14:47:52 +0300

qtbase-opensource-src (5.15.13+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix qfutureinterface.h for GCC 14
    (closes: #1075430).
  * Backport three upstream patches to improve D-Bus tray integration,
    in particular on non-X11 desktops (LP: #2059819).
  * Update symbols files for GCC 14.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jul 2024 15:43:37 +0300

qtbase-opensource-src (5.15.13+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to delay any communication until encrypted() can
    be responded to (CVE-2024-39936, closes: #1076293).
  * Populate ${libssl:Depends} properly for libqt5network5t64.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jul 2024 18:35:58 +0300

qtbase-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 10:53:43 +0300

qtbase-opensource-src (5.15.13+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 28 Mar 2024 11:19:11 +0300

qtbase-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from unstable.
    - Acknowledge NMUs, thanks Benjamin Drung and Steve Langasek!
  * New upstream release.
  * Drop patches, included in the new release:
    - image_deletion_order.diff
    - qxcbwindow_set_geometry.diff
    - CVE-2023-24607.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-13.
  * Update debian/copyright.
  * Run wrap-and-sort.
  * Fix Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Mar 2024 14:24:14 +0300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libcups2t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:56:07 +1300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu5) noble; urgency=medium

  * Merge 5.15.10+dfsg-7.2 upload from Debian unstable.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 15 Mar 2024 01:00:58 +0300

qtbase-opensource-src (5.15.12+dfsg-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:33:19 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:09:22 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:02:22 +0000

qtbase-opensource-src (5.15.12+dfsg-3ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 24 Feb 2024 23:33:04 +0300

qtbase-opensource-src (5.15.12+dfsg-3) experimental; urgency=medium

  * Merge 5.15.10+dfsg-7 upload from unstable.
  * Replace pkg-config build-dependency with pkgconf.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 24 Feb 2024 19:39:14 +0300

qtbase-opensource-src (5.15.12+dfsg-2) experimental; urgency=medium

  * Merge 5.15.10+dfsg-6 upload from unstable.
  * Update debian/libqt5gui5.symbols for powerpc.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Jan 2024 13:23:36 +0300

qtbase-opensource-src (5.15.12+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian experimental, remaining change:
    - Force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on start.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 Dec 2023 10:42:00 +0300

qtbase-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop fix_alt_backtick.diff, included in the new release.
  * Bump ABI version to qtbase-abi-5-15-12.
  * Update debian/copyright for src/3rdparty/libpng.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 14:48:57 +0300

qtbase-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - openssl_set_options.diff
    - revert_startBlocking_removal.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-11.
  * Update debian/copyright.
  * Override two source-is-missing Lintian warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Nov 2023 18:38:23 +0300

qtbase-opensource-src (5.15.10+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.  Closes: #1065154.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 09:03:16 +0000

qtbase-opensource-src (5.15.10+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062946

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 23:11:00 +0000

qtbase-opensource-src (5.15.10+dfsg-7) unstable; urgency=medium

  * Backport upstream patch to fix potential buffer overflow when reading
    KTX images (CVE-2024-25580, closes: #1064053).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Feb 2024 15:11:37 +0300

qtbase-opensource-src (5.15.10+dfsg-6) unstable; urgency=medium

  * Backport upstream patches to fix incorrect integer overflow check in
    HPack (CVE-2023-51714, closes: #1060694).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jan 2024 19:53:52 +0300

qtbase-opensource-src (5.15.10+dfsg-5ubuntu1) noble; urgency=medium

  * For now force -D_FORTIFY_SOURCE=2 to avoid Qt/KDE apps crashing on
    start.

 -- Rik Mills <rikmills@kde.org>  Fri, 22 Dec 2023 10:40:00 +0000

qtbase-opensource-src (5.15.10+dfsg-5) unstable; urgency=medium

  * Add a patch to support LoongArch (closes: #1054569). Thanks Dandan Zhang!
  * Add a debian/clean file (closes: #1048743).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Nov 2023 11:21:47 +0300

qtbase-opensource-src (5.15.10+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to fix build with libxkbcommon 1.6.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Oct 2023 14:07:10 +0300

qtbase-opensource-src (5.15.10+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the patches gnukfreebsd.diff, and nonlinux_utime.diff, as they only
      apply changes to that OS
      - drop installed files added by them
    - drop the kfreebsd-any qualifiers from the firebird-dev, and libgbm-dev
      build dependencies
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-any qualifiers in install files
    - drop the kfreebsd qualifiers in symbols files
  * More changes to symbols files:
    - set a symbol as linux-any, as it is Linux-specific
    - drop mips, and powerpcspe qualifiers, as those architectures are long dead
  * Remove 2 obsolete maintscript entries in 2 files.

  [ Dmitry Shachnev ]
  * Backport upstream patches to make QXmlStreamReaderPrivate::fastScanName
    indicate parsing status to callers (CVE-2023-37369).
  * Backport upstream patch to make QXmlStreamReader raise error on unexpected
    tokens (CVE-2023-38197, closes: #1041105).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Jul 2023 23:01:32 +0300

qtbase-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Merge 5.15.8+dfsg-13 upload from unstable.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 09:54:13 +0300

qtbase-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - fix_recursion_crash.diff
    - mysql_field_readonly.diff
    - revert_wm_state.diff
    - recreate_xcb_window.diff
  * Bump ABI version to qtbase-abi-5-15-10.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jun 2023 11:08:39 +0300

qtbase-opensource-src (5.15.9+dfsg-3) experimental; urgency=medium

  * Merge 5.15.8+dfsg-12 upload from unstable, bringing CVE fixes.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:46:52 +0300

qtbase-opensource-src (5.15.9+dfsg-2) experimental; urgency=medium

  * Bump years for 3rdparty copyright.
  * Backport upstream patch to stop using O_PATH in OpenFile portal
    (LP: #1876237).
  * Add a patch to fix capitalization error in auto-generated qdbusmacros.h
    include (LP: #2016703).
  * Make qtbase5-private-dev suggest packages providing includes which are
    used by some of its headers (closes: #1034830).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 18:27:14 +0300

qtbase-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop CVE-2022-25255.diff, included in the new release.
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-9.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Fix use of transitional packages in Build-Depends and Depends:
    - libfontconfig1-dev => libfontconfig-dev
    - libfreetype6-dev => libfreetype-dev
  * Update a11y_root.diff to the version which was applied upstream.
  * Drop qt5-flatpak-platformtheme transitional package.
  * Drop Breaks/Replaces for pre-Bullseye versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Apr 2023 15:40:16 +0300

qtbase-opensource-src (5.15.8+dfsg-13) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patches to fix regression caused by CVE-2023-24607.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2023 23:13:01 +0300

qtbase-opensource-src (5.15.8+dfsg-12) unstable; urgency=medium

  * Backport upstream patch to fix CVE-2023-34410 (closes: #1037210).
    - Note: this is the second patch related to that CVE; the first one
      is for Schannel code which is Windows-only, so we don't need it.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:37:43 +0300

qtbase-opensource-src (5.15.8+dfsg-11) unstable; urgency=medium

  * Rename the patches for consistency and add DEP-3 headers.
  * Add a patch to fix buffer overflow in QDnsLookup (CVE-2023-33285).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 May 2023 13:45:05 +0300

qtbase-opensource-src (5.15.8+dfsg-10) unstable; urgency=medium

  * Add patches to fix CVE-2023-32762 and CVE-2023-32763.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 11:31:55 -0300

qtbase-opensource-src (5.15.8+dfsg-9) unstable; urgency=medium

  * Backport upstream patch to fix laggy drag-and-drop with KWin. See:
    - https://bugreports.qt.io/browse/QTBUG-98048
    - https://lists.debian.org/debian-kde/2022/11/msg00019.html

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 May 2023 12:19:31 +0300

qtbase-opensource-src (5.15.8+dfsg-8) unstable; urgency=medium

  * Add back Breaks/Replaces for libqtcore4 (closes: #1035790).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 14:12:14 +0300

qtbase-opensource-src (5.15.8+dfsg-7) unstable; urgency=medium

  * Update a11y_root.diff. This time the code waits for Qt loop to process the
    check (Closes: #1033995, #1034160, #1034271).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 12 Apr 2023 20:24:34 -0300

qtbase-opensource-src (5.15.8+dfsg-6) unstable; urgency=medium

  * Use the new, fixed version of a11y_root.diff from Samuel Thibault
    (again closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 11 Apr 2023 14:25:22 +0300

qtbase-opensource-src (5.15.8+dfsg-5) unstable; urgency=medium

  * Revert the last upload. Unfortunately, it caused regressions
    (closes: #1034160, #1034169, #1034191).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Apr 2023 23:58:16 +0300

qtbase-opensource-src (5.15.8+dfsg-4) unstable; urgency=medium

  * Add a patch to fix accessibility on XCB when running as root
    (closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Apr 2023 21:23:36 +0300

qtbase-opensource-src (5.15.8+dfsg-3) unstable; urgency=medium

  * Use ${DEB_HOST_GNU_TYPE} substitution in debian/qt5-qmake.install.
  * Add upstream patch to fix denial-of-service in Qt SQL ODBC plugin
    (CVE-2023-24607, closes: #1031872).
  * Update debian/libqt5gui5.symbols from s390x build log.
  * Amend image_deletion_order.diff from one more upstream commit.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Feb 2023 11:28:53 +0300

qtbase-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5gui5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 11:41:54 +0400

qtbase-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase patches for the new release.
  * Bump ABI version to qtbase-abi-5-15-8.
  * Backport upstream patch to set geometry property in QXcbWindow after
    checking minimum size (closes: #1025997).
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2023 22:52:00 +0400

qtbase-opensource-src (5.15.7+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix deletion order in QImageReader/Writer
    destructors.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Jan 2023 15:43:32 +0400

qtbase-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:05 +0300

qtbase-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release (5.15.7).
    - Refresh existing patches.
    - Update symbols from amd64 build logs.
  * Bump ABI version to qtbase-abi-5-15-7.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 01 Nov 2022 16:07:09 -0500

qtbase-opensource-src (5.15.6+dfsg-5) unstable; urgency=medium

  * Promote qtwayland5 from Suggests to Recommends (closes: #998698).
  * Make libqt5gui5 suggest qgnomeplatform-qt5 (closes: #1024976).
  * Backport upstream patch to fix Alt+` shortcut on non-US layouts.
  * Build-Depends: Drop versioned constraint on dpkg-dev, libharfbuzz-dev and
    pkg-kde-tools (thanks Debian Janitor).
  * Drop Breaks/Replaces unnecessary since buster (thanks Debian Janitor).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Dec 2022 20:38:46 +0300

qtbase-opensource-src (5.15.6+dfsg-4) unstable; urgency=medium

  * Revert upstream commit which caused graphical glitches in some apps.
    Backport upstream patch to fix the original issue in a better way.
    Thanks to Alexander Kernozhitsky and Alexis Murzeau for the pointers!
    (closes: #1022748, #1023580)
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Nov 2022 20:38:09 +0300

qtbase-opensource-src (5.15.6+dfsg-3) experimental; urgency=medium

  * Backport upstream patch to fix misplaced menus with Wayland on GNOME.
  * Backport upstream patch to use Wayland platform plugin on GNOME Wayland
    sessions by default (closes: #954781).
  * Update debian/libqt5core5a.symbols for ia64 and sparc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Oct 2022 00:43:06 +0300

qtbase-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:41:52 +0300

qtbase-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-misplacement-of-placeholder-text-in-QLineEdit.diff
    - fix-placement-of-placeholder-text-in-QLineEdits-with-action-icons.diff
    - mysql_remove_version_checks.diff
    - full_width_selection_rtl.diff
    - xcb_add_a_timeout_control_when_reading_INCR_property.diff
    - CVE-2021-38593.diff
    - moc_handle_include.diff
    - remove_limit_on_number_of_streams.diff
  * Update symbols files from buildds’ and current build logs.
  * Revert removal of QtConcurrent::ThreadEngineBase::startBlocking(),
    which is part of public API and used in the wild.
  * Bump ABI version to qtbase-abi-5-15-6.
  * Update debian/copyright (automatically and manually).
  * Exclude chip.debug compiled binary from the tarball.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 11:44:12 +0300

qtbase-opensource-src (5.15.5+dfsg-3) experimental; urgency=medium

  * Merge 5.15.4+dfsg-5 upload from unstable.
  * Update Lintian overrides.
  * Update symbols files from buildds' logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 09 Aug 2022 16:08:10 +0300

qtbase-opensource-src (5.15.5+dfsg-2) experimental; urgency=medium

  * Restore CVE-2021-38593.diff, 3 of 4 commits are still applicable.
  * Update symbols files from buildds’ logs.
  * Backport upstream patch to remove limit on the number of HTTP/2 streams.
    Fixes https://bugs.kde.org/show_bug.cgi?id=455540.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jun 2022 23:37:04 +0300

qtbase-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Bump ABI version to 5.15.5.
  * Remove reverse-applicable upstream patches:
    - gcc_11_limits.diff
    - CVE-2021-38593.diff
  * Refresh existing patches.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 17 Jun 2022 22:08:50 -0500

qtbase-opensource-src (5.15.4+dfsg-5) unstable; urgency=medium

  * Add a patch to update signature of SSL_CTX_set_options for OpenSSL 3
    (LP: #1981807). Thanks Michael Saxl!

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Aug 2022 16:56:40 +0300

qtbase-opensource-src (5.15.4+dfsg-4) unstable; urgency=medium

  * Backport upstream patch to remove limit on the number of HTTP/2 streams
    (closes: #1014112).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2022 22:49:23 +0300

qtbase-opensource-src (5.15.4+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:00:47 +0300

qtbase-opensource-src (5.15.4+dfsg-2) experimental; urgency=medium

  * Install QtXcbQpa private headers needed for deepin-qt5dxcb-plugin,
    to avoid modifying it for every new Qt version.
  * Use symver directive to catch all private symbols at once.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 May 2022 14:42:53 +0300

qtbase-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that are included in the new release:
    - fix-invalid-pointer-return-with-QGridLayout.diff
    - gcc-11-qtconcurrentthreadengine.diff
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-4.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 May 2022 17:14:31 +0300

qtbase-opensource-src (5.15.3+dfsg-2) experimental; urgency=medium

  [ Andrea Pappacoda ]
  * Backport upstream patch to fix qtconcurrentthreadengine.h with GCC 11.
    - Closes: #1008391

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix parsing include inside enum (LP: #1968074).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Apr 2022 18:50:52 +0300

qtbase-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for new file names.
  * Drop patches that are included in the new release:
    - xcb_screens_uaf.patch
    - qnam_connect_memory_leak.diff
    - qiodevice_readline_memory.diff
  * Remove most of gcc_11_limits.diff, only one change left.
  * Refresh other patches.
  * Update debian/copyright.
  * Bump ABI version to qtbase-abi-5-15-3.
  * Update symbols files from the current build logs.
  * Exclude one more RFC file from the tarball.
  * Stop adding -Wl,--as-needed explicitly.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 04 Mar 2022 21:00:06 +0300

qtbase-opensource-src (5.15.2+dfsg-15) unstable; urgency=medium

  * Backport upstream changes to improve support for OpenSSL 3.0.
    - Don't hardcode libssl version in Depends, fill it dynamically.
  * Replace -ffile-prefix-map in qmodule.pri.
  * Backport upstream patch to make QProcess not search for executables in
    CWD unless explicitly told so (CVE-2022-25255).
  * Update some Lintian overrides.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Feb 2022 00:00:28 +0300

qtbase-opensource-src (5.15.2+dfsg-14) unstable; urgency=medium

  * Backport four upstream commits to fix massive memory consumption when
    rendering specially crafted SVG files (CVE-2021-38593, LP: #1950193).
  * Update symbols files from buildds’ logs.
  * Override some source-is-missing and unpack-message-for-orig warnings.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Nov 2021 17:12:50 +0300

qtbase-opensource-src (5.15.2+dfsg-13) unstable; urgency=medium

  [ Lu YaNing ]
  * Backport upstream patch to fix recursion crash when calling
    setStyleSheet with `qproperty-styleSheet`: fix_recursion_crash.diff.

  [ Dmitry Shachnev ]
  * Backport upstream patch to treat MYSQL_FIELD as read-only, to fix issues
    with MariaDB server 10.6 (closes: #999595).
  * Update symbols files from buildds’ and the current build logs.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Nov 2021 16:34:39 +0300

qtbase-opensource-src (5.15.2+dfsg-12) unstable; urgency=medium

  * Add a patch to properly cast types for EGL X11 tests (Closes: #994906).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Sep 2021 10:02:33 -0300

qtbase-opensource-src (5.15.2+dfsg-11) unstable; urgency=medium

  * Apply multi-arch hints.
    + qtbase5-doc, qtbase5-doc-dev, qtbase5-doc-html: Add Multi-Arch: foreign.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Backport upstream patch
    xcb_add_a_timeout_control_when_reading_INCR_property.diff in order to fix
    timestamp issue on QXcbConnection,
    https://bugreports.qt.io/browse/QTBUG-56595

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Sep 2021 15:07:55 -0300

qtbase-opensource-src (5.15.2+dfsg-10) unstable; urgency=medium

  [ Lu Yaning ]
  * Restore fix-misplacement-of-placeholder-text-in-QLineEdit.diff.
  * Backport upstream patch to fix the regression with placement of
    placeholder text in QLineEdits with action icons.

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix icon display on checkable QPushButtons
    with Fusion style (closes: #991255).
  * Backport upstream patch to remove MySQL version checks, which led to
    wrong conclusions with MariaDB Connector ≥ 3.2.
  * Backport upstream patch to fix QTextFormat::FullWidthSelection for
    right-to-left text layouts.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Aug 2021 21:32:57 +0300

qtbase-opensource-src (5.15.2+dfsg-9) unstable; urgency=medium

  * Revert adding fix-misplacement-of-placeholder-text-in-QLineEdit.diff.
    Unfortunately it causes a regression (see QTBUG-94824).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 02 Jul 2021 18:58:04 +0300

qtbase-opensource-src (5.15.2+dfsg-8) unstable; urgency=medium

  [ Lu Yaning ]
  * Backport upstream patch to fix misplacement of placeholder text in
    QLineEdit with RTL content.

  [ Dmitry Shachnev ]
  * Remove the qmimeprovider.cpp part of mime_globs.diff. It is unrelated
    to the original purpose of that patch, and causes various problems
    (closes: #989255, #989744, #990129).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Jun 2021 20:38:59 +0300

qtbase-opensource-src (5.15.2+dfsg-7) unstable; urgency=medium

  [ Lu Yaning ]
  * Backport upstream patch to fix invalid pointer return with
    QGridLayout::itemAt(-1): fix-invalid-pointer-return-with-QGridLayout.diff

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Jun 2021 09:55:29 -0300

qtbase-opensource-src (5.15.2+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to adjust QMimeDatabase behavior (LP: #1857824).
  * Make qtbase5-dev break qt5-default (see #976389, LP: #1920130).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 May 2021 12:04:21 +0300

qtbase-opensource-src (5.15.2+dfsg-5) unstable; urgency=medium

  * Backport upstream patch to fix allocated memory of QByteArray returned by
    QIODevice::readLine (closes: #982882).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Feb 2021 20:00:31 +0300

qtbase-opensource-src (5.15.2+dfsg-4) unstable; urgency=medium

  * Add Conflicts: against the -gles packages, to make that relation mutual.
    (Thanks to David Kalnischkies for the suggestion; see also #976389.)

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Feb 2021 21:21:48 +0300

qtbase-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix memory leak in QNetworkAccessManager
    from QMetaObjectPrivate::connect.
  * Backport upstream changes to add #include <limits> for GCC 11.
  * Update debian/watch: use format 4, and track only 5.15.x releases.
  * Update debian/libqt5core5a.symbols for hurd-i386.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jan 2021 20:17:11 +0300

qtbase-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch xcb_screens_uaf.patch in order to fix
    use-after-free in the xcb plugin.

  [ Dmitry Shachnev ]
  * Build with libxcb-util-dev 0.4.0 which Debian now has.
    - Drop loosen_xcb-util_requirement.diff, no longer needed.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Build the experimental XCB native painting engine. This has been disabled
    as a default by upstream, but our X2Go users do really benefit from it if
    they export QT_XCB_NATIVE_PAINTING (Closes: #976274).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:30 +0300

qtbase-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop two patches that are included in the new release:
    - emit_geometry_changed.diff
    - clone_sigchld.diff
  * Bump ABI version to qtbase-abi-5-15-2.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Add a patch to loosen xcb-util requirement from 0.3.9 to 0.3.8
    (see #975259).
  * Build-depend on libxcb-util0-dev.
  * Update debian/qtbase5-private-dev.install for the new release.
  * Update symbols files for the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Nov 2020 16:08:35 +0300

qtbase-opensource-src (5.15.1+dfsg-4) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patch xcb_screens_uaf.patch in order to fix
    use-after-free in the xcb plugin.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 23 Nov 2020 15:16:00 -0300

qtbase-opensource-src (5.15.1+dfsg-3) unstable; urgency=medium

  * Remove debian/source/lintian-overrides. The remaining override
    is not needed since we removed qt5-default package.
  * Update debian/libqt5core5a.symbols for hppa.
  * Backport upstream patch to fix issues with debugging applications
    that use QProcess (closes: #974602).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Nov 2020 21:39:27 +0300

qtbase-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix multiscreen-related regression that
    affects Plasma.
  * Update debian/libqt5core5a.symbols from buildds’ logs.
  * Upload to unstable.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Apply cross_build_mysql.diff to get closer to cross building on a Debian
    environment. Thanks Helmut Grohne for the patch! (Closes: #971604).
  * Remove qt5-default. Nowadays it's not needed as Qt 5 is the only Qt version
    in Debian and it brought more problems than solutions.

  [ Helmut Grohne ]
  * qmake cross wrapper: Allow passing -qt5. (Closes: #972640)

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:04 +0300

qtbase-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop all patches that have been included in the new release:
    - CVE-2015-9541.diff
    - CVE-2020-17507.diff
    - CVE-2020-13962.diff
    - enable_a11y_on_linux.diff
    - fix_qlibrary_deadlock.diff
    - moc_handle_includes.diff
    - no_isystem.diff
    - clarify_pic_message.diff
  * Refresh other patches.
  * Update symbols files from buildds’ logs.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution.
    - Stop using dh-exec for .links files, as debhelper now supports
      substitutions natively.
  * Bump qttools build-dependencies to 5.15.
  * Bump ABI version to qtbase-abi-5-15-1.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Manually update non-generated part of debian/copyright.
  * Update install files for the new release.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 10 Sep 2020 14:41:18 +0300

qtbase-opensource-src (5.14.2+dfsg-6) unstable; urgency=medium

  * Backport upstream patch to fix buffer overflow in XBM parser
    (CVE-2020-17507, closes: #968444).
  * Backport upstream patch to handle SSL_shutdown's errors properly
    (CVE-2020-13962).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 19 Aug 2020 20:40:32 +0300

qtbase-opensource-src (5.14.2+dfsg-5) unstable; urgency=medium

  * Backport upstream patch for moc to handle include directives in enums
    (closes: #963955).
  * Stop using -isystem flag in qmake (closes: #958479).
  * Clarify warning message about PIC/PIE, thanks Daniel Kahn Gillmor
    (closes: #879014).
  * Update symbols files for GCC 10.
  * Update libqt5gui5.lintian-overrides for tag renames in Lintian 2.79.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 02 Aug 2020 11:49:03 +0300

qtbase-opensource-src (5.14.2+dfsg-4) unstable; urgency=medium

  * Restore debian/patches/armv4.diff, it is still needed for clang
    (see https://bugs.debian.org/963709#20 for details).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Jun 2020 19:47:18 +0300

qtbase-opensource-src (5.14.2+dfsg-3) unstable; urgency=medium

  * Build with -no-feature-relocatable, to fix paths on usr-merged systems
    (closes: #961554).
  * Update debian/libqt5core5a.symbols for hurd-i386.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:21:08 +0300

qtbase-opensource-src (5.14.2+dfsg-2) experimental; urgency=medium

  [ Pino Toscano ]
  * Add the libkrb5-dev build dependency to support SPNEGO/GSSAPI authentication
    in QtNetwork.
  * Explicitly add the pkg-config build dependency, as right now it is pulled
    by other packages.
  * Avoid two unconditional PATH_MAX occurrences to build on Hurd; patches
    path_max.diff, and qstorageinfo_linux.diff.
  * Install the QtInputSupport development files on any architecture, as it is
    built not only on Linux.
  * Mark few Linux-only symbols as linux-any.

  [ Dmitry Shachnev ]
  * Mark QStringRef::compare symbol as optional=inline (closes: #957730).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Apr 2020 14:44:22 +0300

qtbase-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * Merge 5.12.5+dfsg-10 upload from unstable.
  * Drop armv4.diff. The armel baseline is armv5te now (see #882174).
  * New upstream release.
  * Drop debian/patches/md4c_private.diff, applied upstream.
  * Refresh debian/patches/CVE-2015-9541.diff.
  * Update debian/libqt5gui5.symbols from ia64 buildd’s log.
  * Backport upstream patch fixing QLibrary deadlock affecting Krita.
  * Bump ABI version to qtbase-abi-5-14-2.
  * Drop unused Lintian override for libqt5core5a package.
  * Remove build paths from prl files, for reproducible builds.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Apr 2020 20:50:59 +0300

qtbase-opensource-src (5.14.1+dfsg-3) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Make qtbase5-private-dev depend upon libfontconfig1-dev as expected by
    Qt5FontDatabaseSupportConfig.cmake.

  [ Dmitry Shachnev ]
  * Make libmd4c a private dependency of Qt GUI.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 18 Feb 2020 00:26:25 +0300

qtbase-opensource-src (5.14.1+dfsg-2) experimental; urgency=medium

  * Update debian/libqt5core5a.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 17 Feb 2020 11:34:34 +0300

qtbase-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump ABI version to qtbase-abi-5-14-1.
    - Bump Build-Depends-Indep versions.
  * Remove patches already applied upstream:
    - mysql_free_results_when_qsqlquery_finished_is_called.patch
    - qdockwidget_undocked_notification.diff
    - docs_fixes.diff
    - postgresql_12.diff
    - uic_global_includes.diff
    - riscv.diff
  * Refresh patches:
    - gnukfreebsd.diff
    - gnukfreebsd_linker_warnings.diff
    - nonlinux_utime.diff
    - qdoc_default_incdirs.diff
  * Add libmd4c-dev as a build dependency, required for markdown support.

  [ Dmitry Shachnev ]
  * Update path to qbytearray/rfc3252.txt in Files-Excluded list.
  * Update debian/copyright using debian/scripts/update-copyright.
  * debian/scripts/update-copyright: Correctly handle repeating authors
    in the same file.
  * Update symbols files from the current build logs.
  * Build-depend on libzstd-dev.
  * Build with -no-mimetype-database, and make libqt5core5a depend on
    shared-mime-info (as suggested by upstream).
  * Add one more RFC file to Files-Excluded.
  * Add more tags files to debian/qtbase5-doc-dev.install.
  * Update to debhelper compat level 12, use the new syntax.
  * Stop passing -V to dh_makeshlibs, it is now the default behavior.
  * Manually update the non-generated part of debian/copyright.

  [ Alexander Volkov ]
  * Update install files for the new version.

  [ Helmut Grohne ]
  * qmake cross wrapper should pass QMAKE_STRIP. (Closes: #950507)

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Feb 2020 21:38:21 +0300

qtbase-opensource-src (5.12.5+dfsg-10) unstable; urgency=medium

  * Enable accessibility on Linux when org.a11y.Status IsEnabled is true.
    Thanks to Samuel Thibault (closes: #948676).
  * Backport upstream patch to fix use-after-free in GLib event dispatcher
    (closes: #953401).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 16 Apr 2020 20:05:12 +0300

qtbase-opensource-src (5.12.5+dfsg-9) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to add an expansion limit for XML entities
    (CVE-2015-9541, closes: #951066).
    - Add two new symbols to debian/libqt5core5a.symbols.

  [ Helmut Grohne ]
  * qmake cross wrapper should pass QMAKE_STRIP. (Closes: #950507)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Feb 2020 16:52:19 +0300

qtbase-opensource-src (5.12.5+dfsg-8) unstable; urgency=medium

  * Revert adding alternative qtbase5-gles-dev dependencies:
    - For qtbase5-private-dev: it is wrong, those who need private headers
      and OpenGL ES specific API should use qtbase5-private-gles-dev, not
      qtbase5-private-dev.
    - For libqt5opengl5-dev: it does not help, libqt5opengl5 uses desktop
      OpenGL specific symbols, so it is not installable with libqt5gui5-gles.
  * Remove explicit libqt5gui5 | libqt5gui5-gles dependencies from the
    platformtheme packages. Rely on ${shlibs:Depends} instead.
  * Override the remaining version-substvar-for-external-package error.
  * Backport fixes for two vulnerabilities:
    - CVE-2020-0569: Do not load plugin from the CWD.
    - CVE-2020-0570: Qt tries to load invalid library from CWD.
  * Make Qt 5 the default configuration in qtchooser, by installing the
    qt-default/qtchooser/default.conf symlink in libqt5core5a package.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 31 Jan 2020 00:03:38 +0300

qtbase-opensource-src (5.12.5+dfsg-7) unstable; urgency=medium

  * Changeless upload to allow arch:all binary packages being built after
    passing NEW queue.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 23 Jan 2020 09:08:39 -0300

qtbase-opensource-src (5.12.5+dfsg-6) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Split the doxygen .tags files into a new qtbase5-doc-dev package,
    see #922707.
  * Make relevant development packages depend upon
    qtbase5-dev | qtbase5-gles-dev. This allows building packages with either of
    them (Closes: #949028).

  [ Helmut Grohne ]
  * Improve cross building: (Closes: #876131)
    + Pass --external-hostbindir to use the native qmake.
    + Pass a cross platform_arg.
    + Verify that the qmake self-dependency exactly matches the version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 22 Jan 2020 14:54:20 -0300

qtbase-opensource-src (5.12.5+dfsg-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Limit the libdrm-dev build dependency as linux-any, as it is only useful
    on Linux. (Closes: #947675)

  [ Dmitry Shachnev ]
  * Backport upstream patch to add RISC-V detection.
  * Update debian/libqt5network5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 31 Dec 2019 14:19:15 +0300

qtbase-opensource-src (5.12.5+dfsg-4) unstable; urgency=medium

  * Build-depend on libdrm-dev and libxcb-glx0-dev, to fix FTBFS.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Dec 2019 00:28:25 +0300

qtbase-opensource-src (5.12.5+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix uic handling of .ui files with global
    includes. Thanks to Alexander Volkov for the pointer!
  * Stop depending on libgl1-mesa-dev and libgles2-mesa-dev, which are
    transitional packages in mesa ≥ 19.3.0~rc6-1.
  * Also make qtbase5-dev explicitly depend on libegl-dev (closes: #947117).
  * Move the compatibility symlinks from qtbase5-dev-tools to qtbase5-dev
    (closes: #939653).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Dec 2019 14:30:03 +0300

qtbase-opensource-src (5.12.5+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Add support for PostgreSQL 12 (closes: #941763).
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 22:33:00 +0300

qtbase-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * Merge 5.11.3+dfsg1-3 and -4 uploads from unstable.
  * New upstream release.
  * Drop hidpi_crash.diff, applied in the new release.
  * Refresh debian/patches/docs_fixes.diff.
  * Add two new files to debian/qt5-qmake.install.
  * Update symbols files from the current build logs.
  * Bump ABI version to qtbase-abi-5-12-5.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Sep 2019 10:35:33 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog qtbase5-doc-dev`.
